.news-popup-modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1070;
  overflow-x: hidden;
  overflow-y: auto;
  outline: 0;
  display: none;
  flex-direction: column;
  flex: 1 1 0%;
}

.news-popup-modal.show {
  display: flex;
}

.news-popup-modal-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.3);
}

.news-popup-modal-dialog {
  position: relative;
  pointer-events: none;
  display: flex;
  flex-direction: column;
  flex: 1 1 0%;
}

.news-popup-modal-close {
  position: absolute;
  top: 0;
  right: 0;
  transform: translate(50%, -50%);
  cursor: pointer;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  border-radius: 9999px;
  background-color: #000000;
  width: 30px;
  height: 30px;
  flex: 0 0 30px;
}

.news-popup-modal-content {
  margin: auto;
  padding: 20px;
  width: 100%;
  max-width: 420px;
}

.news-popup-modal-card {
  position: relative;
  background-color: #ffffff;
  border-radius: 5px;
  padding: 10px;
  pointer-events: auto;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
}

.news-popup-modal-content .image {
  position: relative;
  width: 100%;
  overflow: hidden;
  padding-top: 100%;
  margin-bottom: 20px;
}

.news-popup-modal-content .image img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.news-popup-modal-content .item {
  display: block;
  padding: 10px;
}

.news-popup-modal-content .title {
  font-size: 18px;
  line-height: 30px;
  font-weight: 500;
  margin-bottom: 20px;
  color: #151439;
}

.news-popup-modal-content .description {
  font-weight: 300;
  line-height: 26px;
  margin-bottom: 20px;
}

.news-popup-modal-content .viewmore {
  font-weight: bold;
  color: #8e0030;
  position: relative;
  padding-right: 30px;
}

.news-popup-modal-content .viewmore::before {
  content: "";
  width: 18px;
  height: 15px;
  background: url("./assets/img/icon/icon_arrow-right.svg") center / cover
    no-repeat;
  position: absolute;
  right: 0;
  top: 3px;
}